> ## Documentation Index
> Fetch the complete documentation index at: https://productlasso.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Hromadné smazání řádků

> Smazání více řádků z tabulky najednou.

## Parametry cesty

<ParamField path="table_id" type="string" required>
  Jedinečný identifikátor tabulky.
</ParamField>

## Tělo požadavku

<ParamField body="row_ids" type="string[]" required>
  Pole ID řádků ke smazání. Nesmí být prázdné.
</ParamField>

## Odpověď

<ResponseField name="deleted_count" type="integer">Počet úspěšně smazaných řádků.</ResponseField>

<RequestExample>
  ```typescript TypeScript theme={null}
  const result = await client.tables.bulkDelete("tbl_abc123", {
    row_ids: ["row_1", "row_2", "row_3"],
  });

  console.log(result.deleted_count); // 3
  ```

  ```python Python theme={null}
  result = client.tables.bulk_delete(
      "tbl_abc123",
      row_ids=["row_1", "row_2", "row_3"],
  )

  print(result["deleted_count"])  # 3
  ```

  ```bash cURL theme={null}
  curl -X POST "https://hub.banditshq.com/api/v1/tables/tbl_abc123/rows/bulk-delete" \
    -H "Authorization: Bearer lasso_..." \
    -H "Content-Type: application/json" \
    -d '{
      "row_ids": ["row_1", "row_2", "row_3"]
    }'
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "deleted_count": 3
  }
  ```
</ResponseExample>
